Loading...
Searching...
No Matches
apr_redis_t Struct Reference
APR Utility Functions » Redis Client Routines

`#include <apr_redis.h>`

Collaboration diagram for apr_redis_t:
[legend]

## Data Fields

apr_uint32_t | flags
apr_uint16_t | nalloc
apr_uint16_t | ntotal
apr_redis_server_t ** | live_servers
apr_pool_t * | p
void * | hash_baton
apr_redis_hash_func | hash_func
void * | server_baton
apr_redis_server_func | server_func

## Detailed Description

Container for a set of redis servers

## Field Documentation

## flags

apr_uint32_t apr_redis_t::flags

Flags, Not currently used

## hash_baton

void* apr_redis_t::hash_baton

Pool to use for allocations

## live_servers

apr_redis_server_t** apr_redis_t::live_servers

Array of Servers

## nalloc

apr_uint16_t apr_redis_t::nalloc

Number of Servers Allocated

## ntotal

apr_uint16_t apr_redis_t::ntotal

Number of Servers Added

The documentation for this struct was generated from the following file:

- apr_redis.h